package de.hft.stuttgart.citydoctor2.healer.gui;

import de.hft.stuttgart.citydoctor2.datastructure.CityObject;
import de.hft.stuttgart.citydoctor2.datastructure.Geometry;

public class SelectableGeometry extends SelectableFeature {
	
	private Geometry geometry;
	private CityObject feature;

	public SelectableGeometry(String text, Geometry geometry, CityObject feature) {
		super(text);
		this.geometry = geometry;
		this.feature = feature;
	}
	
	@Override
	public boolean isGeometry() {
		return true;
	}
	
	@Override
	public CityObject getFeature() {
		return feature;
	}
	
	@Override
	public Geometry getGeometry() {
		return geometry;
	}

	@Override
	public String toString() {
		return "SelectableGeometry [geometry=" + geometry + ", feature=" + feature + "]";
	}
	
	

}
